Utenti Java: intervento manuale richiesto prima dell'aggiornamento

Tutte le ultime notizie tradotte da archlinux.org
Rispondi
Avatar utente
4javier
Moderatore
Messaggi: 9355
Iscritto il: 5 ottobre 2008, 17:19
Architettura: x86_64 (64bit)

Utenti Java: intervento manuale richiesto prima dell'aggiornamento

Messaggio da 4javier » 13 ottobre 2014, 12:30

Per evitare un problema di file in conflitto, è richiesto un intervento manuale solo se sul sistema è installato il pacchetto java-common. Questa condizione può essere verificata tramite il comando:

Codice: Seleziona tutto

$ pacman -Q java-common
java-common ...
Nel caso il pacchetto risultasse installato, si prega di eseguire questa procedura prima di effettuare l'aggiornamento:

Codice: Seleziona tutto

# archlinux-java unset
# pacman -Sydd --asdeps java-runtime-common
:: java-runtime-common and java-common are in conflict. Remove java-common? [y/N] y
# archlinux-java fix
È ora possibile proseguire con l'aggiornamento:

Codice: Seleziona tutto

# pacman Su
Si prega di tenere presente che il nuovo pacchetto java-runtime-common non supporta la forzatura della variabile JAVA_HOME come il vecchio pacchetto java-common. Consultare la la pagina wiki riferita a Java per ulteriori informazioni.
Offertissima: Mi Vendo!!! Cercasi lavoro o corso di formazione finanziato in tutta italia da Roma in su, oppure in provincia di Catanzaro.
In particolare sono interessato ad opportunità su Roma.

Rispondi